Bug 91406 - SMP server with ppp may freeze
SMP server with ppp may freeze
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-22 08:43 EDT by Pavel
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-21 08:44:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel 2003-05-22 08:43:12 EDT
Description of problem:
There is servers on INTEL motherboard STL2, 2xPIII 933 256mb ECC RAM.
Really is working as a lan&wan router.
Two ethernet connectors, first have real ip, second private. From second there's 
SNAT for one ip address through iptables. There is one dedicated ppp connect to 
remote private LAN.
Actually there are some demons: ssh, pppd, zebra.
The problem is when booting PC in SPM mode. After max 2-3 hours server's 
freeze and no anything console messeges.
In one CPU mode no problems. SMP related options in kernel (noapic and etc.) 
don't help. With nmi_watchdog=1 console=tty0 console=ttyS1,19200n8 i am have 
in console:
EIP:    0010:[<c010ae30>]    Not tainted
EFLAGS: 00000002

EIP is at handle_IRQ_event [kernel] 0x30 (2.4.20-13.8smp)
eax: 00000001   ebx: c1afe240   ecx: 00000000   edx: 00000004
esi: 00000004   edi: 00000001   ebp: c1b0bd80   esp: c1b0bd3c
ds: 0018   es: 0018   ss: 0018
Process keventd (pid: 2, stackpage=c1b0b000)
Stack: 00000000 00000000 00000000 c03a9a00 00000004 c1afe240 00000200 
c010b099
       00000004 c1b0bd80 c1afe240 00000001 0000002d 00000042 00000005 
d08b7c88
       c010dcc8 0000002d 0000736c d08b96bc 00000042 00000005 d08b7c88 
00007396
Call Trace:   [<c010b099>] do_IRQ [kernel] 0xa9 (0xc1b0bd58))
[<c010dcc8>] call_do_IRQ [kernel] 0x5 (0xc1b0bd7c))
[<d089ecce>] longest_match [zlib_deflate] 0xce (0xc1b0bda8))
[<d089f40e>] deflate_slow [zlib_deflate] 0xae (0xc1b0bde0))
[<d089e6ff>] zlib_deflate_Rsmp_28c35bd1 [zlib_deflate] 0xef (0xc1b0be08))
[<d08a5340>] z_compress [ppp_deflate] 0xc0 (0xc1b0be30))
[<d088f58b>] ppp_send_frame [ppp_generic] 0x17b (0xc1b0be4c))
[<c0204226>] __kfree_skb [kernel] 0x106 (0xc1b0be6c))
[<d088f38b>] ppp_xmit_process [ppp_generic] 0xdb (0xc1b0be80))
[<d088efa5>] ppp_start_xmit [ppp_generic] 0x105 (0xc1b0be98))
[<c0214404>] qdisc_restart [kernel] 0x74 (0xc1b0bec0))
[<c0208ea0>] net_tx_action [kernel] 0xc0 (0xc1b0bed8))
[<d0896c37>] ppp_async_send [ppp_async] 0x47 (0xc1b0bee0))
[<c0126129>] do_softirq [kernel] 0xd9 (0xc1b0bef4))
[<d0892ccd>] .text.lock.ppp_generic [ppp_generic] 0x222 (0xc1b0bf10))
[<d08965ae>] ppp_asynctty_wakeup [ppp_async] 0x5e (0xc1b0bf38))
[<c01a5108>] rs_flush_buffer [kernel] 0x78 (0xc1b0bf48))
[<c018ee91>] do_tty_hangup [kernel] 0x321 (0xc1b0bf5c))
[<c01265aa>] __run_task_queue [kernel] 0x6a (0xc1b0bf80))
[<c0130177>] context_thread [kernel] 0x147 (0xc1b0bf98))
[<c0130030>] context_thread [kernel] 0x0 (0xc1b0bfc8))
[<c0105000>] stext [kernel] 0x0 (0xc1b0bfe8))
[<c010758e>] arch_kernel_thread [kernel] 0x2e (0xc1b0bff0))
[<c0130030>] context_thread [kernel] 0x0 (0xc1b0bff8))


Code: f3 90 a1 a8 c8 3b c0 83 e0 01 75 f4 8b 43 04 be 01 00 00 00
console shuts up ...

I am try some versions of kernel 2.4 and linux distributions (ASPLinux7.3, 
Connectiva80 ...) - the same result. With previus installation RH70 kernel 2.2.20 all 
working stable.
Have anybody some problems ?
Comment 1 Dave Jones 2004-06-21 08:44:25 EDT
this product reached end of life at the end of last year.

Note You need to log in before you can comment on or make changes to this bug.